<?php
/**
 * Theme Option
 *
 * @since 1.0.0
 */
$wp_customize->add_panel(
    'sewa_theme_options',
    array(
        'priority'       => 50,
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => esc_html__('Theme Option', 'sewa'),
    )
);
/*-------------------------------------------------------------------------------------------*/
/**
 * Hide Static page in Home page
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'sewa_front_page_option',
    array(
        'title'    => esc_html__('Front Page Options', 'sewa'),
        'panel'    => 'sewa_theme_options',
        'priority' => 3,
    )
);

/**
 *   Show/Hide Static page/Posts in Home page
 */
$wp_customize->add_setting(
    'sewa_front_page_hide_option',
    array(
        'default'           => $default['sewa_front_page_hide_option'],
        'sanitize_callback' => 'sewa_sanitize_checkbox',
    )
);

$wp_customize->add_control('sewa_front_page_hide_option',
    array(
        'label'    => esc_html__('Hide Blog Posts or Static Page on Front Page', 'sewa'),
        'section'  => 'sewa_front_page_option',
        'type'     => 'checkbox',
        'priority' => 10
    )
);


/*-------------------------------------------------------------------------------------------*/
/**
 * Breadcrumb Options
 *
 * @since 1.0.0
 */

$wp_customize->add_section(
    'sewa_breadcrumb_option',
    array(
        'title'    => esc_html__('Breadcrumb Options', 'sewa'),
        'panel'    => 'sewa_theme_options',
        'priority' => 2,
    )
);

/*-------------------------------------------------------------------------------------------*/
/**
 * Search Placeholder
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'sewa_search_option',
    array(
        'title'     => esc_html__('Search', 'sewa'),
        'panel'     => 'sewa_theme_options',
        'priority'  => 8,
    )
);

/**
 *Search Placeholder
 */
$wp_customize->add_setting(
    'sewa_post_search_placeholder_option',
    array(
        'default'           => $default['sewa_post_search_placeholder_option'],
        'sanitize_callback' => 'sanitize_text_field',

    )
);

$wp_customize->add_control('sewa_post_search_placeholder_option',
    array(
        'label'    => esc_html__('Search Placeholder', 'sewa'),
        'section'  => 'sewa_search_option',
        'type'     => 'text',
        'priority' => 10
    )
);